APIs / Inmuebles24 / Search
Inmuebles24: Search
Search from Inmuebles24 as JSON. 1 credit per successful call.
GET /v1/inmuebles24/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
operation | string | Optional | sale, rent, transfer, vacation, auctions |
type | string | Optional | 1, 2, 3, 4, 5, 7, 12, 13, 16, 17, 18, 19, 21, 22, 33, 34, 35, 101 |
location | string | Optional | Up to 120 characters |
min_price | number | Optional | Any |
max_price | number | Optional | Any |
bathrooms | integer | Optional | Any |
bedrooms | integer | Optional | Any |
garages | string | Optional | Up to 10 characters |
seller_type | string | Optional | Up to 40 characters |
room_type | string | Optional | Up to 40 characters |
services | string | Optional | Up to 120 characters |
outside | string | Optional | Up to 120 characters |
general | string | Optional | Up to 120 characters |
amenities | string | Optional | Up to 120 characters |
age | string | Optional | Up to 20 characters |
published_within | string | Optional | Up to 20 characters |
keyword | string | Optional | Up to 200 characters |
sort | string | Optional | price_asc, price_desc |
page | integer | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/inmuebles24/search?operation=sale&type=1&location=V1-C-1229&page=1" \
-H "X-API-Key: $API_KEY"